"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const GetCognitoEvents_1 = require("../model/operations/GetCognitoEvents");
class GetCognitoEventsCommand {
    constructor(input) {
        this.input = input;
        this.model = GetCognitoEvents_1.GetCognitoEvents;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.GetCognitoEventsCommand = GetCognitoEventsCommand;
//# sourceMappingURL=GetCognitoEventsCommand.js.map