"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const SetCognitoEvents_1 = require("../model/operations/SetCognitoEvents");
class SetCognitoEventsCommand {
    constructor(input) {
        this.input = input;
        this.model = SetCognitoEvents_1.SetCognitoEvents;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.SetCognitoEventsCommand = SetCognitoEventsCommand;
//# sourceMappingURL=SetCognitoEventsCommand.js.map