"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
const SubscribeToDataset_1 = require("../model/operations/SubscribeToDataset");
class SubscribeToDatasetCommand {
    constructor(input) {
        this.input = input;
        this.model = SubscribeToDataset_1.SubscribeToDataset;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    resolveMiddleware(clientStack, configuration) {
        const { handler } = configuration;
        const stack = clientStack.concat(this.middlewareStack);
        const handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    }
}
exports.SubscribeToDatasetCommand = SubscribeToDatasetCommand;
//# sourceMappingURL=SubscribeToDatasetCommand.js.map