"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const BulkPublishInput_1 = require("../shapes/BulkPublishInput");
const BulkPublishOutput_1 = require("../shapes/BulkPublishOutput");
const NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InternalErrorException_1 = require("../shapes/InternalErrorException");
const DuplicateRequestException_1 = require("../shapes/DuplicateRequestException");
const AlreadyStreamedException_1 = require("../shapes/AlreadyStreamedException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.BulkPublish = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "BulkPublish",
    http: {
        method: "POST",
        requestUri: "/identitypools/{IdentityPoolId}/bulkpublish"
    },
    input: {
        shape: BulkPublishInput_1.BulkPublishInput
    },
    output: {
        shape: BulkPublishOutput_1.BulkPublishOutput
    },
    errors: [
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: DuplicateRequestException_1.DuplicateRequestException
        },
        {
            shape: AlreadyStreamedException_1.AlreadyStreamedException
        }
    ]
};
//# sourceMappingURL=BulkPublish.js.map