"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const DescribeIdentityPoolUsageInput_1 = require("../shapes/DescribeIdentityPoolUsageInput");
const DescribeIdentityPoolUsageOutput_1 = require("../shapes/DescribeIdentityPoolUsageOutput");
const NotAuthorizedException_1 = require("../shapes/NotAuthorizedException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const ResourceNotFoundException_1 = require("../shapes/ResourceNotFoundException");
const InternalErrorException_1 = require("../shapes/InternalErrorException");
const TooManyRequestsException_1 = require("../shapes/TooManyRequestsException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeIdentityPoolUsage = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeIdentityPoolUsage",
    http: {
        method: "GET",
        requestUri: "/identitypools/{IdentityPoolId}"
    },
    input: {
        shape: DescribeIdentityPoolUsageInput_1.DescribeIdentityPoolUsageInput
    },
    output: {
        shape: DescribeIdentityPoolUsageOutput_1.DescribeIdentityPoolUsageOutput
    },
    errors: [
        {
            shape: NotAuthorizedException_1.NotAuthorizedException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: ResourceNotFoundException_1.ResourceNotFoundException
        },
        {
            shape: InternalErrorException_1.InternalErrorException
        },
        {
            shape: TooManyRequestsException_1.TooManyRequestsException
        }
    ]
};
//# sourceMappingURL=DescribeIdentityPoolUsage.js.map