"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _RecordPatchList_1 = require("./_RecordPatchList");
exports.UpdateRecordsInput = {
    type: "structure",
    required: ["IdentityPoolId", "IdentityId", "DatasetName", "SyncSessionToken"],
    members: {
        IdentityPoolId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "IdentityPoolId"
        },
        IdentityId: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "IdentityId"
        },
        DatasetName: {
            shape: {
                type: "string",
                min: 1
            },
            location: "uri",
            locationName: "DatasetName"
        },
        DeviceId: {
            shape: {
                type: "string",
                min: 1
            }
        },
        RecordPatches: {
            shape: _RecordPatchList_1._RecordPatchList
        },
        SyncSessionToken: {
            shape: {
                type: "string"
            }
        },
        ClientContext: {
            shape: {
                type: "string"
            },
            location: "header",
            locationName: "x-amz-Client-Context"
        }
    }
};
//# sourceMappingURL=UpdateRecordsInput.js.map